Docs
Logo API Reference
This section covers all endpoints related to logo.
Create Logo
Create/upload a new logo.
POST/logos/
API
Code Examples
curl -X POST "https://api.chutes.ai/logos/"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| X-Chutes-Hotkey | string | null | No | |
| X-Chutes-Signature | string | null | No | |
| X-Chutes-Nonce | string | null | No | |
| Authorization | string | null | No |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Authentication
This endpoint requires authentication.
Render Logo
Logo image response.
GET/logos/{logo_id}.{extension}
API
Code Examples
curl -X GET "https://api.chutes.ai/logos/{logo_id}.{extension}"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| logo_id | string | Yes | |
| extension | string | Yes |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |